=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2011-07-25 12:32:26 +0000
+++ bzrlib/bzrdir.py	2011-08-08 16:28:55 +0000
@@ -2287,11 +2287,8 @@
     help='Same as 2a.')
 
 # The current format that is made on 'bzr init'.
-format_name = config.GlobalConfig().get_user_option('default_format')
-if format_name is None:
-    controldir.format_registry.set_default('2a')
-else:
-    controldir.format_registry.set_default(format_name)
+format_name = config.GlobalStack().get('default_format')
+controldir.format_registry.set_default(format_name)
 
 # XXX 2010-08-20 JRV: There is still a lot of code relying on
 # bzrlib.bzrdir.format_registry existing. When BzrDir.create/BzrDir.open/etc

=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2011-08-08 15:57:57 +0000
+++ bzrlib/config.py	2011-08-08 16:28:55 +0000
@@ -2294,6 +2294,10 @@
     help='Flush dirstate changes onto physical disk?')
 
 option_registry.register(
+    'default_format', Option('default_format', default='2a'),
+    help='Format used when creating branches.')
+
+option_registry.register(
     'editor', Option('editor'),
     help='The command called to launch an editor to enter a message.')
 

